/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  DeadFTP
 *  Copyright (C) 2000-2001 Brandon Lees
 */

#ifndef _FILE_H_DEAD_
#define	_FILE_H_DEAD_

struct afile {
  char *file;
  char *length;
  char *mode;
  char *owner;
  char *group;
  char *date;

  int is_dir;
};

gint sort_file(gconstpointer, gconstpointer);
void set_clist_icon(GtkWidget * clist, int row, int column, char *name, int is_dir);
void load_mode_dialog(gboolean local);
mode_t str_to_mode(const char *);
GList *row_select_find(GList * list, gint row);
void load_newDir_dialog(void);
void load_rename_dialog(void);

struct sort_func {
  gint(*func) (gconstpointer, gconstpointer);
};

extern const struct sort_func dir_sort_funcs[];

#endif /* _FILE_H_DEAD_ */
